annotatedDataFrameFrom-methods {Biobase} | R Documentation

## Methods for Function annotatedDataFrameFrom in Package ‘Biobase’

### Description

`annotatedDataFrameFrom` is a convenience for creating `AnnotatedDataFrame` objects.

### Methods

Use the method with `annotatedDataFrameFrom(object, byrow=FALSE, ...)`; the argument `byrow` must be specified.

`signature(object="assayData")`
  This method creates an `AnnotatedDataFrame` using sample (when `byrow=FALSE`) or feature (`byrow=TRUE`) names and dimensions of an `AssayData` object as a template.
`signature(object="matrix")`
  This method creates an `AnnotatedDataFrame` using column (when `byrow=FALSE`) or row (`byrow=TRUE`) names and dimensions of a `matrix` object as a template.
`signature(object="NULL")`
  This method (called with 'NULL' as the object) creates an empty `AnnotatedDataFrame`; provides `dimLabels` based on value of `byrow`.

### Author(s)

Biocore team

[Package Biobase version 1.16.3 Index]